HttpClient for Android

Apache HttpCLient 5.x is expected to work well with Android API 19 and newer

dependencies {
    compile group: 'org.apache.httpcomponents.client5' , name: 'httpclient5' , version: '5.0-beta4'
}